# Enum SliderSpecifier.TextOption

java.lang.Object
java.lang.Enum<SliderSpecifier.TextOption>
uk.ac.starlink.ttools.plot2.config.SliderSpecifier.TextOption

All Implemented Interfaces:
  `Serializable, Comparable<SliderSpecifier.TextOption>, java.lang.constant.Constable`

Enclosing class:
  `SliderSpecifier`

public static enum SliderSpecifier.TextOption extends Enum<SliderSpecifier.TextOption>
Specifies whether and how a text display field should appear alongside the slider for user entry.

Since:
  13 Jan 2014
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ENTER`
Text display option provided without echo.
`ENTER_ECHO`
Text display option provided with echo.
`NONE`
No text display field.

## Method Summary

Modifier and Type
Method
Description
`static SliderSpecifier.TextOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SliderSpecifier.TextOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SliderSpecifier.TextOption NONE
No text display field. Only the slider is shown.

### ENTER

public static final SliderSpecifier.TextOption ENTER
Text display option provided without echo. The user may choose to enter the value as text, but the specifier will not update the content of the text field.

### ENTER_ECHO

public static final SliderSpecifier.TextOption ENTER_ECHO
Text display option provided with echo. The user may choose to enter the value as text, and if the slider is active, its value will be reflected in the content of the text field.

## Method Details

### values

public static SliderSpecifier.TextOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SliderSpecifier.TextOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null